## MgEntryWrapper

MgEntryWrapper — Abstract class that implements the MgDataEntry interface

## Synopsis

    struct      MgEntryWrapper;
    guint       mg_entry_wrapper_get_type       (void);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkViewport
                                     +----MgEntryShell
                                           +----MgEntryWrapper
                                                 +----MgEntryBoolean
                                                 +----MgEntryCidr
                                                 +----MgEntryNone
                                                 +----MgEntryPassmd5
                                                 +----MgEntryString
                                                 +----MgEntryTime

## Implemented Interfaces

MgEntryWrapper implements MgDataEntry and AtkImplementorIface.

## Properties

      "set-default-if-invalid" gboolean             : Read / Write

## Description

It inhertis the MgEntryShell class and adds the MgDataEntry interface to it. It has several pure virtual functions which MUST be implemented by classes which inherit it.

## Details

### struct MgEntryWrapper

    struct MgEntryWrapper;

### mg_entry_wrapper_get_type ()

    guint       mg_entry_wrapper_get_type       (void);

Returns : |

## Properties

"`set-default-if-invalid`" (gboolean : Read / Write) |